Package org.eclipse.draw2d

# Interface KeyListener

All Known Implementing Classes:
  `KeyListener.Stub`

public interface KeyListener
A listener interface for receiving `KeyEvents` from the keyboard.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`KeyListener.Stub`
An empty implementation of KeyListener for convenience.

## Method Summary

Modifier and Type
Method
Description
`void`
`keyPressed(KeyEvent ke)`
Called when a key is pressed.
`void`
`keyReleased(KeyEvent ke)`
Called when a key is released.

## Method Details

### keyPressed

void keyPressed(KeyEvent ke)
Called when a key is pressed.

Parameters:
  `ke` - The KeyEvent object

### keyReleased

void keyReleased(KeyEvent ke)
Called when a key is released.

Parameters:
  `ke` - The KeyEvent object